## Package org.hibernate.event.service.spi

Interface Summary
DuplicationStrategy: Defines listener duplication checking strategy, both in terms of when a duplication is detected (see `DuplicationStrategy.areMatch(java.lang.Object, java.lang.Object)`) as well as how to handle a duplication (see `DuplicationStrategy.getAction()`).
EventListenerGroup<T>: Contract for a groups of events listeners for a particular event type.
EventListenerRegistry: Service for accessing each `EventListenerGroup` by `EventType`, as well as convenience methods for managing the listeners registered in each `EventListenerGroup`.

Enum Summary
DuplicationStrategy.Action: The enumerated list of actions available on duplication match

Exception Summary
EventListenerRegistrationException: Indicates a problem registering an event listener.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.